List Change Events
List all of the existing Change Events.
Scoped OAuth requires: change_events.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The number of results per page.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseAn array of team IDs. Only results related to these teams will be returned. Account must have the teams ability to use this parameter.
An array of integration IDs. Only results related to these integrations will be returned.
The start of the date range over which you want to search, as a UTC ISO 8601 datetime string. Will return an HTTP 400 for non-UTC datetimes.
YYYY-MM-DDThh:mm:ssZdate-timeThe end of the date range over which you want to search, as a UTC ISO 8601 datetime string. Will return an HTTP 400 for non-UTC datetimes.
YYYY-MM-DDThh:mm:ssZdate-timeHeader Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
Get a Change Event GET
Get details about an existing Change Event. Scoped OAuth requires: `change_events.read`
List related Change Events for an Incident GET
List related Change Events for an Incident, as well as the reason these changes are correlated with the incident. Change events represent service changes such as deploys, build completion, and configuration changes, providing information that is critical during incident triage or hypercare. For more information on change events, see [Change Events](https://support.pagerduty.com/docs/change-events). The Change Correlation feature provides incident responders with recent change events that are most relevant to that incident. Change Correlation informs the responder why a particular change event was surfaced and correlated to an incident based on three key factors which include time, related service, or intelligence (machine learning). Scoped OAuth requires: `incidents.read`